View Issue Details

IDProjectCategoryView StatusLast Update
0003461SymmetricDSBugpublic2022-08-05 14:48
Reporterrayp Assigned Toelong  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.9.4 
Target Version3.11.10Fixed in Version3.11.10 
Summary0003461: mysql bulk loader doesn't work with binary() columns, tries to insert in wrong column.
DescriptionDuring an initial load of a table that has one or more binary() column, my logs were spammed with errors about wrong data types when I know my input data was clean. I realized that it was trying to insert data in the column next to the proper one.
 After a lengthy discussion on the forum, someone (Lukas) suggested that it may be the bulk loader. Disabling the bulk loader fixed the problem.

I had 2 tables with binary columns and both gave tons of errors when trying to do initial loads.

Here's a link to the forum discussion, specifically the problem code: https://sourceforge.net/p/symmetricds/discussion/739236/thread/52ebedea/#65e0
Steps To ReproduceSet up a sync using mysql bulk loader and load some tables with binary() data types.
Additional InformationI've had this problem with every version of SDS I've used, 3.9.2 - 3.9.4.
Tagsbulk, dialect: mysql/mariadb

Relationships

related to 0004433 closedJJ_Starrett MySql Bulk loader fails on Hex encoded BLOBs and CLOBs 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-02-28 14:21 rayp New Issue
2019-04-24 17:35 elong Tag Attached: bulk
2019-04-24 17:35 elong Tag Attached: dialect: mysql/mariadb
2022-08-05 14:47 elong Relationship added related to 0004433
2022-08-05 14:48 elong Assigned To => elong
2022-08-05 14:48 elong Status new => resolved
2022-08-05 14:48 elong Resolution open => fixed
2022-08-05 14:48 elong Fixed in Version => 3.11.10